Issue 128296 - AOO Writer - Spellchecker: glitch
Summary: AOO Writer - Spellchecker: glitch
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 4.1.7
Hardware: PC Windows, all
: P5 (lowest) Minor (vote)
Target Milestone: 4.1.8
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 09:54 UTC by Czesław Wolański
Modified: 2020-03-04 22:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
dummy file to be used in test (8.66 KB, application/vnd.oasis.opendocument.text)
2020-02-20 09:54 UTC, Czesław Wolański
no flags Details
screen capture illustrating the issue (166.71 KB, image/jpeg)
2020-02-20 09:56 UTC, Czesław Wolański
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Czesław Wolański 2020-02-20 09:54:49 UTC
Created attachment 86844 [details]
dummy file to be used in test

Steps to reproduce:

I. Glitch ------------------------------------------------------------

1. open document in AOO Writer
   (I have attached a dummy file .odt)

2. Go to the end of document - Ctrl+End.

3. choose: Tools > Spelling and Grammar
   You shall see two windows: Spellchecker (inactive) and above it
   message box from OpenOffice.
   
   Notice bottom part of inactive window, the area with 4 buttons.

4. Choose: "Yes"

5. Observe what has happened to layout of window, the area
   with 4 buttons has moved upwards and damaged the layout.
   (see attached screen capture)
   

II. Wrong repositioning of cursor ------------------------------------

1. Place the cursor in any line but not at the beginning of it.
   Do not select any part of text.

2. choose: Tools > Spelling and Grammar

3. Cancel operation: press "Close" button or Alt-F4 or click Red-X box

The text cursor moves to the beginning of line. This is wrong
and should not happen, bearing in mind that operation was CANCELLED
by user.

Maybe this bug is somehow related to various issues
on Spellchecker subject already posted e.g. Issue 34425 and Issue 34425.
Comment 1 Czesław Wolański 2020-02-20 09:56:06 UTC
Created attachment 86845 [details]
screen capture illustrating the issue
Comment 2 Matthias Seidel 2020-02-20 12:32:27 UTC
Please don't put two topics into one issue.
The best would be to clone this issue only with the second part.

I will therefore concentrate on Part I.

In:

https://github.com/apache/openoffice/blob/trunk/main/cui/source/dialogs/SpellDialog.cxx#L459

The dialog gets resized. This is working as designed for the dialog size and the buttons but somehow it is forgotten to resize the surrounding box also.

Unfortunately this is beyond my capabilities, so a developer must take over.
Comment 3 Matthias Seidel 2020-02-20 12:42:52 UTC
Seems to be Windows only.

I can not replicate it on Ubuntu 16.04.
Comment 4 Czesław Wolański 2020-02-20 13:35:11 UTC
(In reply to Matthias Seidel from comment #2)
> Please don't put two topics into one issue.
> The best would be to clone this issue only with the second part.
> 
> I will therefore concentrate on Part I.
> 
> In:
> 
> https://github.com/apache/openoffice/blob/trunk/main/cui/source/dialogs/
> SpellDialog.cxx#L459
> 
> The dialog gets resized. This is working as designed for the dialog size and
> the buttons but somehow it is forgotten to resize the surrounding box also.
> 
> Unfortunately this is beyond my capabilities, so a developer must take over.

I take your admonishment seriously and will gladly accept any punishment.
Comment 5 Matthias Seidel 2020-02-20 13:37:07 UTC
No punishment! ;-) Just split the issue...

But I even can not replicate this on Windows 7 with AOO 4.1.7.

I can only confirm it for AOO42X on Windows 10.
Comment 6 Czesław Wolański 2020-02-20 14:00:38 UTC
(In reply to Matthias Seidel from comment #5)
> No punishment! ;-) Just split the issue...
> 
> But I even can not replicate this on Windows 7 with AOO 4.1.7.
> 
> I can only confirm it for AOO42X on Windows 10.

Maybe my laptop is haunted... or is ahead of his time/prophetic since
you confirm that glitch on AOO42X on Windows 10.

my Configuration: AOO 4.1.7. Windows 64-bit

AOO:
Tools > Options > Language Settings
>  Languages:
  - User Interface: Engliss (USA)
  - Default language for document - Western - English (USA)              
> Enhanced language support - both options checked (ON)

Apart from that, no tweaks in AOO.
Comment 7 Matthias Seidel 2020-02-20 14:06:02 UTC
Very odd!

I could now replicate it with AOO 4.1.7 on Windows 10 (64-bit), but not on Windows 7 (32-bit).
Comment 8 Matthias Seidel 2020-02-20 14:08:10 UTC
And just for the record:

"Spellchecker - wrong repositioning of cursor" is now in Issue 128297.
Comment 9 Czesław Wolański 2020-02-20 14:14:31 UTC
(In reply to Matthias Seidel from comment #7)
> Very odd!
> 
> I could now replicate it with AOO 4.1.7 on Windows 10 (64-bit), but not on
> Windows 7 (32-bit).

So my computer is haunted.:-))
Comment 10 Matthias Seidel 2020-02-20 14:16:45 UTC
No, I am trying to find a pattern.

Your Windows (7?) is in 64-bit?
Comment 11 Czesław Wolański 2020-02-20 14:23:37 UTC
(In reply to Matthias Seidel from comment #10)
> No, I am trying to find a pattern.
> 
> Your Windows (7?) is in 64-bit?

I've already written in Comment #6:

"my Configuration: AOO 4.1.7. Windows 64-bit".

Anyhow I repeat: Windows 64-bit, Home Premium

May computer and OS are haunted :-)))
Comment 12 Czesław Wolański 2020-02-20 14:28:21 UTC
Of course it is Windows 7, 64-bit, Home Premium

Now, you see - my computer, my OS and myself are haunted :-))))
Comment 13 Matthias Seidel 2020-02-20 21:04:17 UTC
That was easier than I thought.

Hopefully fixed with:

https://github.com/apache/openoffice/commit/943347cda5673631c0bff5f4d680d94ae0933622
Comment 14 Matthias Seidel 2020-03-03 19:10:55 UTC
Forgot to mention:

Cherry-Picked for AOO42X
Comment 15 Czesław Wolański 2020-03-03 19:58:28 UTC
(In reply to Matthias Seidel from comment #14)
> Forgot to mention:
> 
> Cherry-Picked for AOO42X

I am very grateful for that information.

And must reply with the following one. 
After digging deep in Bugzilla (Use the search, Luke!) I have discovered that similar issue had been already posted - Issue 125531 (see attachment thereto "Buttons displaced at bottom of spell check dialog").

So history does repeat itself. Hope we learn something from it.
Comment 16 Matthias Seidel 2020-03-04 22:22:38 UTC
Cherry-Picked for AOO418